import serial
import time
ser = serial.Serial('COM3', 9600, timeout=0)

command1 = '41' #ASCII A
command2 = '61' #ASCII a
command3 = '42' #ASCII B
command4 = '62' #ASCII b
command5 = '10 05 55 AA 01 01 2C 3F'

ser.write(bytearray.fromhex(command3))

time.sleep(1)

incomingdata = ser.readline()

print (incomingdata) #display in ASCII format
print(" ".join("{:02x}".format(c) for c in incomingdata)) #display in HEX format

ser.close()